/*------------------------------------*\
    #HELPERS.PADDING
\*------------------------------------*/
/**
 * Helpers that may be applied to content blocks in order to apply padding.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.helpers';

.#{$inuit-namespace}padded,
%#{$inuit-namespace}padded {
    padding: double($drk-grid-unit);

    &--sides {
        padding: 0 double($drk-grid-unit);
    }
}

.#{$inuit-namespace}clear,
%#{$inuit-namespace}clear {

    &--all-padding {
        padding: 0;
    }

    &--top-padding {
        padding-top: 0;
    }

    &--right-padding {
        padding-right: 0;
    }

    &--bottom-padding {
        padding-bottom: 0;
    }

    &--left-padding {
        padding-left: 0;
    }
}

.#{$inuit-namespace}add,
%#{$inuit-namespace}add {

    &--top-padding-1 {
        padding-top: $drk-grid-unit;
    }

    &--right-padding-1 {
        padding-right: $drk-grid-unit;
    }

    &--bottom-padding-1 {
        padding-bottom: $drk-grid-unit;
    }

    &--left-padding-1 {
        padding-left: $drk-grid-unit;
    }

    &--top-padding-2 {
        padding-top: drk-double($drk-grid-unit);
    }

    &--right-padding-2 {
        padding-right: drk-double($drk-grid-unit);
    }

    &--bottom-padding-2 {
        padding-bottom: drk-double($drk-grid-unit);
    }

    &--left-padding-2 {
        padding-left: drk-double($drk-grid-unit);
    }
}
